Function
end
The end of a container.
Iterator end(object [, tag])
Include Headers
seqan/sequence.h
Parameters

object | A container. Types: ContainerConcept: Gaps, ModifiedString, String AlignCols, char array, CompressedSA, Finder, FragmentStore, FrequencyDistribution, Index, MaxRepeats Iterator, RightArrayBinaryTree, SeedSet, SeedSet, std::basic_string, std::list, std::vector, StringEnumerator, StringSet, thrust::device_vector
tag | An iterator spec tag that specifies the kind of the iterator returned. (optional) Default: Given by DefaultGetIteratorSpec.

Remarks
If the container does not contain any items at all, the function may return 0.
Return Values
An iterator that points behind the last item in object. The type is the result of Iterator<TContainer, TTag>::Type where TContainer is the type of object and TTag is the type of tag.
Metafunctions: Iterator
Member of
Index, thrust::device_vector, String, FrequencyDistribution, CompressedSA, std::basic_string, char array, MaxRepeats Iterator, Map, Gaps, Finder, RightArrayBinaryTree Iterator, StringEnumerator, std::vector, StringSet, std::list
Example Programs
Iterator Basics, Rooted Iterators
Part of Concept
ContainerConcept, Container
See Also
setEndPosition, setEnd, begin, endPosition, Iterator, atEnd, goEnd, back, difference
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:58